This project makes use of marketing data and personal information related to HCPs. While the sample datasets do not contain personal information (such as age, gender, or race) related to an HCP to drive analysis, real-world data may include these features and should be treated with certain considerations.  These considerations should be incorporated across 3 areas - data, model, and reporting.

#### Data Check
If the underlying data about HCPs includes sensitive attributes such as age, race, or gender we recommend users measure any potential biases in how marketing and engagement are conducted. For instance statistics tests such as a Chi Square test or tests for normality can help confirm whether any meaningful skew exists in the data , such as people over a certain age preferring different types of media (i.e. print vs media). If such a skew or bias exists in the data it should be noted and handled either with preprocessing or in-processing  techniques. Additionally, if users wish to avoid using the sensitive features in the downstream analysis, they should also check for potential proxies using correlation tests and proxy models.

#### Model Robustness
If the underlying data about HCPs include sensitive attributes such as age, race, or gender, we recommend that users measure any potential biases in marketing and engagement. For instance, statistical tests such as a Chi-Square test or tests for normality can help confirm whether any meaningful skew exists in the data, such as people over a certain age preferring different types of media (i.e., print vs. media). If such a skew or bias exists in the data, it should be noted and handled with preprocessing or in-processing techniques. Additionally, if users wish to avoid using the sensitive features in the downstream analysis, they should check for potential proxies using correlation tests and proxy models.

#### Reporting
Regarding reporting on the models developed in this project, the dashboard already provides several insights and feature explanations for individual predictions. These tools are important to build so that end users can make decisions with the full context in mind and understand how a given prediction is generated.


